Skip to main content
PATCH
Update link

Authorizations

Authorization
string
header
required

Your API key: Authorization: Bearer urldn_live_...

Path Parameters

id
string
required
Pattern: ^[a-f0-9]{24}$

Body

application/json
url
string<uri>
Maximum string length: 2048
customSlug
string
Pattern: ^[A-Za-z0-9_-]{4,14}$
domain
string | null

null moves the link back to the default domain

title
string | null
Maximum string length: 120
tags
string[]
Maximum array length: 20
Maximum string length: 40
isActive
boolean

Response

The updated link

id
string
required
shortUrl
string<uri>
required
shortCode
string
required
url
string<uri>
required

The destination

domain
string | null
required

Your custom domain, or null for the default

title
string | null
required
tags
string[]
required
isActive
boolean
required
isQrCode
boolean
required
hasPassword
boolean
required
expiresAt
string<date-time> | null
required
createdAt
string<date-time>
required